%define upstream_name    XML-Validator-Schema
%define upstream_version 1.10

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	7

Summary:	Validate XML with a subset of W3C XML Schema

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl(Carp)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Tree::DAG_Node)
BuildRequires:	perl(XML::Filter::BufferText)
BuildRequires:	perl(XML::SAX)
BuildArch:	noarch

%description
This module allows you to validate XML documents against a W3C XML Schema.
This module does not implement the full W3C XML Schema recommendation
(http://www.w3.org/XML/Schema), but a useful subset. See the "SCHEMA
SUPPORT" section below.

*IMPORTANT NOTE*: To get line and column numbers in the error messages
generated by this module you must install XML::Filter::ExceptionLocator and
use XML::SAX::ExpatXS as your SAX parser. This module is much more useful
if you can tell where your errors are, so using these modules is highly
recommeded!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.100.0-7
+ Revision: db7be9c
- MassBuild#440: Increase release tag


